[![Lighting Fly](http://lf.lbstudio.sk/static/imgs/logo-black.png)](http://lf.lbstudio.sk)

# Lighting Fly

Lighting Fly is simply and fast SCSS Mixins Library that contains mixins and functions for cross-browser use of modern CSS properties, and simply tricks to speed up your work.

Get started: <http://lf.lbstudio.sk>

- [What is inside](#what-is-inside)
- [File structure](#file-structure)
- [How to](#how-to)
- [Documentation](#documentation)
- [Changelog](#changelog)
- [Credits](#credits)
- [License](#license)

## What is inside

Inside the Lighting Fly you will find SCSS mixins for prefix-free using CSS3, mixins for browser fallbacks and other predesigned features. All mixins are categorized into modules.

List of modules:
- borders
- backgrounds
- transitions
- animations
- transforms
- layout
- helpers

## File structure

Modules are separated into following file structure.

```
lightingly/
  ├── modules/
  │   ├── _animations.scss
  │   ├── _backgrounds.scss
  │   ├── _borders.scss
  │   ├── _helpers.scss
  │   ├── _layout.scss
  │   ├── _transforms.scss
  │   ├── _transitions.scss
  └── _lighting_fly.scss
```

## How to

All you have to do is this:

1. download Lighting Fly library
2. unpack archive to your project (best location is where your SCSS files are.)
3. import Lighting Fly to your main .scss file
4. that is all, now you can start using Lighting Fly mixins.

## Documentation

Full documentation: [Docs](http://lf.lbstudio.sk/getstarted.html)

## Changelog

#### 0.2.0 / 2015-02-06
- first stable version published

## Credits

Build and maintained by Vladimír Pittner, [Lighting Beetle](http://lf.lbstudio.sk)

## License

Lighting Fly is free software under [Do What the Fuck You Want to Public License](https://github.com/lightingbeetle/lightingfly/blob/master/LICENSE.md).